RKGETDICLIST(3)

NAME
RkGetDicList - get the name of a dictionary that can be added to the dictionary list

SYNOPSIS
#include <canna/RK.h>
int RkGetDicList(cxnum, dics, maxdics)
int cxnum;
char *dics;
int maxdics;

DESCRIPTION
RkGetDicList gets the name of a dictionary that can be added to the dictionary list.

Multiple dictionaries can be simultaneously used during kana-kanji conversion. The simultaneously available dictionaries are chained to the dictionary list in the conversion context. The dictionary named at the beginning of the dictionary list is referenced first of all and candidates generated from it are also treated on a priority basis. Dictionaries are identified by the dictionary name in the dictionary table.

Dictionary names are got in the area dics in the following format:

    dictionary-name-1 ¡ï0 dictionary-name-2 ¡ï0 ... dictionary-name-n ¡ï0 ¡ï0

The size of the area dics is given in bytes by maxdics. The dictionary list is truncated in character strings when it exceeds this size.

RETURN VALUE
This function returns number of dictionary names, or returns -1 if the context is invalid.